clan::ElementArrayBuffer Class Reference - ClanLib SDK
Description: clan::ElementArrayBuffer Class Reference

Public Member Functions | List of all members
clan::ElementArrayBuffer Class Reference
clanDisplay Display

Element Array Buffer. More...

`#include <element_array_buffer.h>`

Inheritance diagram for clan::ElementArrayBuffer:

## Public Member Functions
| ElementArrayBuffer ()
| Constructs a null instance.
| ElementArrayBuffer (GraphicContext &gc, const void *data, int size, BufferUsage usage=BufferUsage::static_draw)
| Constructs a ElementArrayBuffer.
| ElementArrayBuffer (GraphicContext &gc, int size, BufferUsage usage=BufferUsage::static_draw)
| Constructs a ElementArrayBuffer.
virtual | ~ElementArrayBuffer ()
void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data from transfer buffer.
void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data to transfer buffer.
ElementArrayBufferProvider * | get_provider () const
| Get Provider.
bool | is_null () const
| Returns true if this object is invalid.
| operator bool () const
bool | operator== (const ElementArrayBuffer &other) const
| Handle comparison operator.
void | throw_if_null () const
| Throw an exception if this object is invalid.
void | upload_data (GraphicContext &gc, const void *data, int size)
| Uploads data to element array buffer.

## Detailed Description

Element Array Buffer.

## Constructor & Destructor Documentation

## ◆ ElementArrayBuffer() [1/3]

clan::ElementArrayBuffer::ElementArrayBuffer | ( |  | ) |

Constructs a null instance.

Referenced by clan::ElementArrayVector< Type >::ElementArrayVector(), clan::ElementArrayVector< Type >::ElementArrayVector(), clan::ElementArrayVector< Type >::ElementArrayVector(), and operator==().

## ◆ ElementArrayBuffer() [2/3]

clan::ElementArrayBuffer::ElementArrayBuffer | ( | GraphicContext & | gc,
|  | int | size,
|  | BufferUsage | usage = BufferUsage::static_draw )

Constructs a ElementArrayBuffer.

Parameters

  gc | = Graphic Context
  size | = value
  usage | = Buffer Usage

References clan::static_draw.

## ◆ ElementArrayBuffer() [3/3]

clan::ElementArrayBuffer::ElementArrayBuffer | ( | GraphicContext & | gc,
|  | const void * | data,
|  | int | size,
|  | BufferUsage | usage = BufferUsage::static_draw )

Constructs a ElementArrayBuffer.

Parameters

  gc | = Graphic Context
  data | = void
  size | = value
  usage | = Buffer Usage

References clan::static_draw.

## ◆ ~ElementArrayBuffer()

virtual clan::ElementArrayBuffer::~ElementArrayBuffer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ copy_from()

void clan::ElementArrayBuffer::copy_from | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos = 0,
|  | int | src_pos = 0,
|  | int | size = -1 )

Copies data from transfer buffer.

Referenced by clan::ElementArrayVector< Type >::copy_from().

## ◆ copy_to()

void clan::ElementArrayBuffer::copy_to | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos = 0,
|  | int | src_pos = 0,
|  | int | size = -1 )

Copies data to transfer buffer.

Referenced by clan::ElementArrayVector< Type >::copy_to().

## ◆ get_provider()

ElementArrayBufferProvider * clan::ElementArrayBuffer::get_provider | ( |  | ) | const

Get Provider.

Returns
  provider

## ◆ is_null()

bool clan::ElementArrayBuffer::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ operator bool()

clan::ElementArrayBuffer::operator bool | ( |  | ) | const
| inlineexplicit

## ◆ operator==()

bool clan::ElementArrayBuffer::operator== | ( | const ElementArrayBuffer & | other | ) | const

Handle comparison operator.

References ElementArrayBuffer().

## ◆ throw_if_null()

void clan::ElementArrayBuffer::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

## ◆ upload_data()

void clan::ElementArrayBuffer::upload_data | ( | GraphicContext & | gc,
|  | const void * | data,
|  | int | size )

Uploads data to element array buffer.

The size specified must match the size of the buffer and is only included to help guard against buffer overruns.

Referenced by clan::ElementArrayVector< Type >::upload_data(), and clan::ElementArrayVector< Type >::upload_data().

The documentation for this class was generated from the following file:

- element_array_buffer.h